--ABSN-13249

--USERROLE TABLE

ALTER TABLE USERROLE ADD(
MFAREQUIRED           VARCHAR2(1) DEFAULT 'Y' NOT NULL CONSTRAINT CHK_USERROLE_MFAREQUIRED CHECK (MFAREQUIRED IN ('Y','N')),
CREATIONSYSTEMUSER_ID NUMBER NOT NULL,
CREATIONTIMESTAMP     DATE NOT NULL,
AUDITSYSTEMUSER_ID    NUMBER NULL,
AUDITTIMESTAMP        DATE NULL
);

--SYSTEMUSER TABLE

ALTER TABLE SYSTEMUSER ADD (
TWOFACTORAUTHENTICATION VARCHAR2(1) DEFAULT 'Y' NOT NULL CONSTRAINT CHK_SYSTEMUSER_TWOFACTORAUTH CHECK (TWOFACTORAUTHENTICATION IN ('Y','N')),
TWOFACTORAUTHSECRET     VARCHAR2(80) NULL);

